function [ids_struct_out,ids_struct_out_description] =  tcv_get_ids_tf(shot, ids_struct_in,varargin)
%
% [ids_struct_out] =  tcv_get_ids_tf(shot, ids_struct_in,varargin);
%
% Get the vacuum toroidal field
%
% ids_struct_in should at least be the empty tf ids structure in input
%

ids_struct_out = ids_struct_in;

tmp = gdat(shot, 'b0');
if ~ischar(tmp.data)
  ids_struct_out.b_field_tor_vacuum_r.data = tmp.data; 
  ids_struct_out.b_field_tor_vacuum_r.time = tmp.t;
  ids_struct_out.r0 = tmp.r0;
  ids_struct_out_description.b_field_tor_vacuum_r.data = ' gdat(shot, ''b0'')';
  ids_struct_out_description.r0 = ' b0.r0 from gdat(shot, ''b0'')';
else
  % leave defaults
  ids_struct_out_description = struct([]);
end
